%global commit 18e68914f2ae19dff01d77ce263a42c31041d0cc
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global prerelease 20131104

Name:           lv2-sorcer
Version:        1.1
Release:        5.1.%{prerelease}git%{shortcommit}%{?dist}
Summary:        An audio compressor for JACK

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://openavproductions.com/sorcer/
Source0:        https://github.com/harryhaaren/openAV-Sorcer/archive/%{shortcommit}.zip
Patch0:         lv2-sorcer-lv2dir.patch
BuildRequires:  lv2-devel
BuildRequires:  faust
BuildRequires:  python2
BuildRequires:  gtkmm24-devel
BuildRequires:  cairo-devel
BuildRequires:  boost-devel
BuildRequires:  fltk-devel
BuildRequires:  non-ntk-devel
BuildRequires:  libsndfile-devel
Requires:       lv2

%global __provides_exclude_from ^%{_libdir}/lv2/.*$

%description
Sorcer is a polyphonic wavetable synth LV2 plugin. Its sonic fingerprint is 
one of harsh modulated sub-bass driven walls of sound. Two morphing wavetable
oscillators and one sine oscillator provide the generation routines. The LFO
can be mapped to wavetable modulation as well as filter cutoff. An ADSR allows
for shaping the resulting sound, while a master volume finishes the signal
chain. Easily creating a variety of dubstep basslines and harsh pad sounds.

Additional presets can be found here:
 https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Sorcer-%{commit}
%patch0 -p1
sed -i -e "s|-O3 -Wall|%{optflags}|"\
       -e "s|main.cpp|%{optflags} main.cpp|"  \
  makefile

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot}%{_libdir}/lv2 
chmod 644 %{buildroot}%{_libdir}/lv2/*/*.ttl

%files
%doc README LICENSE
%{_libdir}/lv2/*

%changelog
* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.1-5.1.20131104git18e6891
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4.1.20131104git18e6891
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3.1.20131104git18e6891
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.1-2.1.20131104git18e6891
- Rebuild for boost 1.55.0

* Mon Nov 04 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.1.20131104git18e6891
- Update version

* Mon Nov 04 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1.0.20131104git18e6891
- New upstream release

* Tue Oct 29 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.3.20131013git4e35643
- Add missing BR's

* Sat Oct 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.2.20131013git4e35643
- Remove presets, add to description

* Sun Oct 13 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.1.20131013git4e35643
- Initial package

